package com.hxhq.business.enums.study;

/**
 * 病例学家审核状态：1：无需审核；3：待审核；5：审核拒绝；7：审核通过
 * @author tanfei
 */
public enum StudyFormFillBlxjshztEnum {

    /**
     * 无需审核
     */
    wxsh(1, "无需审核"),

    /**
     * 待审核
     */
    dsh(3, "待审核"),

    /**
     * 审核拒绝
     */
    shjj(5, "审核拒绝"),

    /**
     * 审核通过
     */
    shtg(7, "审核通过");

    private int value;
    private String text;

    StudyFormFillBlxjshztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static StudyFormFillBlxjshztEnum getEnumByValue(int type) {
        for (StudyFormFillBlxjshztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
